# Get Transaction

Retrieves a single transaction activity by ID. A transaction activity represents a single side (debit/credit) of a transaction.

Endpoint: GET /api/v2/transactions/{transaction_activity_id}/
Version: Version: cf52545e
Security: HTTPBearer

## Path parameters:

  - `transaction_activity_id` (string, required)

## Header parameters:

  - `x-jiko-idempotency` (string, required)

  - `x-jiko-signature` (string, required)

## Response 200 fields (application/json):

  - `id` (string, required)
    The ID of the transaction from the perspective of the respective pocket

  - `transaction_id` (string, required)
    The ID of the transaction this activity is representing

  - `description` (string, required)
    A description of the transaction type, e.g. "ACH Electronic Debit".

  - `amount` (object, required)

  - `amount.value` (integer, required)
    USD values are always in cents.

  - `amount.currency` (string, required)

  - `amount.formatted` (string)

  - `time_booked` (string, required)
    The time at which the transaction was originally booked into the ledger.

  - `time_settled` (any, required)
    The time at which transaction was settled.

  - `status` (string, required)
    Status of the transactions. Has the transactions been settled
    Enum: "BOOKED", "SETTLED"

  - `title` (string, required)

  - `direction` (string, required)
    Enum: "DEBIT", "CREDIT"

  - `pocket_id` (string, required)
    The pocket associated with the transaction

  - `customer_id` (string, required)
    The customer associated with the transaction

  - `remittance_information` (any)

  - `remittance_information.unstructured` (string)
    Unstructured information provided by the originator of the transaction.

  - `type` (string, required)

  - `company_name` (string, required)

  - `company_entry_description` (any)

  - `individual_identification_number` (any)

  - `trace_number` (any)

  - `ach_id` (any)

  - `ach_direction` (string, required)
    Enum: "RECEIVING", "ORIGINATION"

  - `portal_id` (any)

  - `reference_number` (string, required)

  - `counterparty_name` (string, required)

  - `wire_id` (any, required)

  - `location` (any)

  - `location.street_address` (string, required)

  - `location.city` (string, required)

  - `location.state` (any)

  - `location.country` (string, required)

  - `counterparty` (any)

  - `terminal_id` (any)

  - `merchant_type` (any)

  - `pre_authorization` (boolean, required)

  - `issue_id` (any)

  - `on_us_transfer_id` (string, required)

  - `on_us_transfer_type` (string, required)

  - `associated_pocket_id` (any)
    The id of the pocket on the other half of INTERNAL_REALLOCATION ON_US transfer.

  - `end_to_end_identification` (any)

  - `fee_type` (string, required)

  - `period` (any)
    Set if cash back for a certain card period.

  - `card_id` (any)
    The ID of the card related to the credit.

  - `reference_transaction_id` (any, required)
    For reverse postings, the identity of the transaction being reversed.

  - `blockchain_network` (string, required)

  - `counterparty_wallet_address` (string, required)

  - `transaction_hash` (any)

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `detail.input` (any)

  - `detail.ctx` (object)

